weka.knowledgeflow.steps

## Class PredictionAppender

- java.lang.Object
- - weka.knowledgeflow.steps.BaseStep
  - - weka.knowledgeflow.steps.PredictionAppender

- All Implemented Interfaces:
    java.io.Serializable, BaseStepExtender, Step

      @KFStep(name="PredictionAppender",
              category="Evaluation",
              toolTipText="Append predictions from classifiers or clusterers to incoming data ",
              iconPath="weka/gui/knowledgeflow/icons/PredictionAppender.gif")
      public class PredictionAppender
      extends BaseStep

  Step that can produce data with predictions appended from batch or incremental classifiers and clusterers
  Version:
    $Revision: $
  Author:
    Mark Hall (mhall{[at]}pentaho{[dot]}com)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PredictionAppender()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getAppendProbabilities()` Get whether to append probability distributions rather than predicted classes
    `java.util.List<java.lang.String>` | `getIncomingConnectionTypes()` Get the incoming connection types that this step accepts
    `java.util.List<java.lang.String>` | `getOutgoingConnectionTypes()` Get a list of outgoing connection types that this step can produce at this time
    `void` | `processIncoming(Data data)` Process incoming data
    `void` | `setAppendProbabilities(boolean append)` Set whether to append probability distributions rather than predicted classes
    `void` | `stepInit()` Initialize the step

    - ### Methods inherited from class weka.knowledgeflow.steps.BaseStep

      `environmentSubstitute, getCustomEditorForStep, getDefaultSettings, getInteractiveViewers, getInteractiveViewersImpls, getName, getStepManager, globalInfo, isResourceIntensive, isStopRequested, outputStructureForConnectionType, setName, setStepIsResourceIntensive, setStepManager, setStepMustRunSingleThreaded, start, stepMustRunSingleThreaded, stop`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PredictionAppender

          public PredictionAppender()

  - ### Method Detail

    - #### stepInit

          public void stepInit()
                        throws WekaException

      Initialize the step
      Throws:
        `WekaException` - if a problem occurs

    - #### getIncomingConnectionTypes

          public java.util.List<java.lang.String> getIncomingConnectionTypes()

      Get the incoming connection types that this step accepts
      Returns:
        a list of acceptable incoming connection types

    - #### getOutgoingConnectionTypes

          public java.util.List<java.lang.String> getOutgoingConnectionTypes()

      Get a list of outgoing connection types that this step can produce at this time
      Returns:
        a list of outgoing connection types

    - #### processIncoming

          public void processIncoming(Data data)
                               throws WekaException

      Process incoming data
      Specified by:
        `processIncoming` in interface `BaseStepExtender`
      Specified by:
        `processIncoming` in interface `Step`
      Overrides:
        `processIncoming` in class `BaseStep`
      Parameters:
        `data` - the Data object to process
      Throws:
        `WekaException` - if a problem occurs

    - #### setAppendProbabilities

          public void setAppendProbabilities(boolean append)

      Set whether to append probability distributions rather than predicted classes
      Parameters:
        `append` - true to append probability distributions

    - #### getAppendProbabilities

          @OptionMetadata(displayName="Append probabilities",
                          description="Append probabilities")
          public boolean getAppendProbabilities()

      Get whether to append probability distributions rather than predicted classes
      Returns:
        true if probability distributions are to be appended